flink-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (FLINK-7984) Bump snappy-java to 1.1.4
Date Fri, 08 Dec 2017 15:23:00 GMT

    [ https://issues.apache.org/jira/browse/FLINK-7984?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16283716#comment-16283716
] 

ASF GitHub Bot commented on FLINK-7984:
---------------------------------------

Github user yew1eb commented on the issue:

    https://github.com/apache/flink/pull/5072
  
    @greghogan,  I saw the following in the `flink-core` POM:
    ```
    <!-- We explicitly depend on snappy since connectors that require it load it through
the system class loader -->
    <dependency>
           <groupId>org.xerial.snappy</groupId>
           <artifactId>snappy-java</artifactId>
    </dependency>
    ```
    I think this PR just upgrades the snappy-java version from 1.1.1.3 to 1.1.4 for the "flink-core"
module.   I can not find out what bad effects it will cause.:)


> Bump snappy-java to 1.1.4
> -------------------------
>
>                 Key: FLINK-7984
>                 URL: https://issues.apache.org/jira/browse/FLINK-7984
>             Project: Flink
>          Issue Type: Improvement
>          Components: Build System
>    Affects Versions: 1.4.0
>            Reporter: Hai Zhou UTC+8
>            Assignee: Hai Zhou UTC+8
>             Fix For: 1.5.0
>
>
> Upgrade the snappy java version to 1.1.4(the latest, May, 2017). The older version has
some issues like memory leak (https://github.com/xerial/snappy-java/issues/91).
> Snappy Java [Release Notes|https://github.com/xerial/snappy-java/blob/master/Milestone.md]



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message